Skip to main content
Api

Studio

Read the autosaved Studio draft

GET
/studio/draft

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Response Body

application/json

application/problem+json

curl -X GET "https://loading/api/v1/studio/draft"
{
  "$schema": "/api/v1/schemas/WorkspaceDraft.json",
  "document": {
    "action_policies": [
      {
        "action_id": "string",
        "approval": "string",
        "draft_only": true,
        "manager_roles": [
          "string"
        ]
      }
    ],
    "branding": {
      "accent_color": "string",
      "logo_url": "string",
      "primary_color": "string",
      "product_name": "string"
    },
    "capabilities": [
      {
        "approval_policy": "string",
        "audience": [
          "string"
        ],
        "capability_id": "string",
        "connector_bindings": {
          "property1": "string",
          "property2": "string"
        },
        "enabled": true,
        "learning_mode": "string",
        "operating_mode": "string",
        "success_definition": "string"
      }
    ],
    "connections": [
      {
        "adapter": "string",
        "capabilities": [
          "string"
        ],
        "display_name": "string",
        "health_checked": true,
        "id": "string",
        "identity_map": true,
        "kind": "string",
        "private_url": "string",
        "secret_ref": "string",
        "state": "string"
      }
    ],
    "draft_only": true,
    "knowledge_policy": {
      "reject_expired_sources": true,
      "require_approved_sources": true,
      "require_citations": true
    },
    "knowledge_sources": [
      {
        "citation_count": 0,
        "effective_date": "2019-08-24T14:15:22Z",
        "id": "string",
        "kind": "string",
        "name": "string",
        "owner": "string",
        "project_id": "string",
        "review_date": "2019-08-24T14:15:22Z",
        "revision": "string",
        "state": "string"
      }
    ],
    "setup_started": true,
    "solution_pack_id": "string",
    "workflow_ids": [
      "string"
    ]
  },
  "revision": 0,
  "tenant_id": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "updated_by": "string"
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

Autosave the Studio draft

PUT
/studio/draft

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X PUT "https://loading/api/v1/studio/draft" \  -H "Content-Type: application/json" \  -d '{    "document": {      "branding": {},      "knowledge_policy": {        "reject_expired_sources": true,        "require_approved_sources": true,        "require_citations": true      }    },    "expected_revision": 1  }'
{
  "$schema": "/api/v1/schemas/WorkspaceDraft.json",
  "document": {
    "action_policies": [
      {
        "action_id": "string",
        "approval": "string",
        "draft_only": true,
        "manager_roles": [
          "string"
        ]
      }
    ],
    "branding": {
      "accent_color": "string",
      "logo_url": "string",
      "primary_color": "string",
      "product_name": "string"
    },
    "capabilities": [
      {
        "approval_policy": "string",
        "audience": [
          "string"
        ],
        "capability_id": "string",
        "connector_bindings": {
          "property1": "string",
          "property2": "string"
        },
        "enabled": true,
        "learning_mode": "string",
        "operating_mode": "string",
        "success_definition": "string"
      }
    ],
    "connections": [
      {
        "adapter": "string",
        "capabilities": [
          "string"
        ],
        "display_name": "string",
        "health_checked": true,
        "id": "string",
        "identity_map": true,
        "kind": "string",
        "private_url": "string",
        "secret_ref": "string",
        "state": "string"
      }
    ],
    "draft_only": true,
    "knowledge_policy": {
      "reject_expired_sources": true,
      "require_approved_sources": true,
      "require_citations": true
    },
    "knowledge_sources": [
      {
        "citation_count": 0,
        "effective_date": "2019-08-24T14:15:22Z",
        "id": "string",
        "kind": "string",
        "name": "string",
        "owner": "string",
        "project_id": "string",
        "review_date": "2019-08-24T14:15:22Z",
        "revision": "string",
        "state": "string"
      }
    ],
    "setup_started": true,
    "solution_pack_id": "string",
    "workflow_ids": [
      "string"
    ]
  },
  "revision": 0,
  "tenant_id": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "updated_by": "string"
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

Read the human release diff

POST
/studio/draft/diff

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Response Body

application/json

application/problem+json

curl -X POST "https://loading/api/v1/studio/draft/diff"
{
  "$schema": "/api/v1/schemas/StudioReleaseDiff.json",
  "changes": [
    {
      "area": "string",
      "change": "string"
    }
  ],
  "readiness": {
    "$schema": "/api/v1/schemas/ReadinessReport.json",
    "blockers": [
      {
        "code": "string",
        "message": "string",
        "route": "string"
      }
    ],
    "mode": "string",
    "ready": true,
    "warnings": [
      "string"
    ]
  },
  "ready": true
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

Publish an immutable Sales Copilot release

POST
/studio/draft/publish

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Header Parameters

Idempotency-Key*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://loading/api/v1/studio/draft/publish" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "expected_revision": 1  }'
{
  "$schema": "/api/v1/schemas/PublishedRelease.json",
  "browser_projection": {
    "action_policies": [
      {
        "action_id": "string",
        "approval": "string",
        "draft_only": true,
        "manager_roles": [
          "string"
        ]
      }
    ],
    "branding": {
      "accent_color": "string",
      "logo_url": "string",
      "primary_color": "string",
      "product_name": "string"
    },
    "capabilities": [
      {
        "approval_policy": "string",
        "audience": [
          "string"
        ],
        "capability_id": "string",
        "connector_bindings": {
          "property1": "string",
          "property2": "string"
        },
        "enabled": true,
        "learning_mode": "string",
        "operating_mode": "string",
        "success_definition": "string"
      }
    ],
    "capability_definitions": [
      {
        "business_promise": "string",
        "default_learning_mode": "string",
        "default_operating_mode": "string",
        "dependencies": [
          "string"
        ],
        "evidence_gate": 0,
        "evidence_keys": [
          "string"
        ],
        "high_impact": true,
        "id": "string",
        "inputs": [
          "string"
        ],
        "label": "string",
        "learning_eligible": true,
        "outputs": [
          "string"
        ],
        "program_id": "string",
        "readiness_rules": [
          "string"
        ],
        "representative_visible": true,
        "required_connections": [
          "string"
        ],
        "safe_configuration": [
          {
            "description": "string",
            "key": "string",
            "label": "string",
            "options": [
              "string"
            ],
            "required": true,
            "type": "string"
          }
        ],
        "version": "string"
      }
    ],
    "connections": [
      {
        "display_name": "string",
        "id": "string",
        "kind": "string",
        "state": "string"
      }
    ],
    "destinations": [
      {
        "id": "string",
        "includes": [
          "string"
        ],
        "label": "string",
        "manager_view": [
          "string"
        ]
      }
    ],
    "knowledge_policy": {
      "reject_expired_sources": true,
      "require_approved_sources": true,
      "require_citations": true
    },
    "programs": [
      {
        "capability_ids": [
          "string"
        ],
        "id": "string",
        "name": "string",
        "promise": "string",
        "stages": [
          "string"
        ]
      }
    ],
    "runtime_v2_enabled": true,
    "schema_version": 0,
    "solution_pack_id": "string",
    "solution_pack_version": "string",
    "workflows": [
      {
        "confirmation_policy": [
          {
            "action_id": "string",
            "approval": "string",
            "draft_only": true,
            "manager_roles": [
              "string"
            ]
          }
        ],
        "fallback": "string",
        "goal": "string",
        "id": "string",
        "outcome_events": [
          "string"
        ],
        "preview_scenario": "string",
        "required_context": [
          "string"
        ],
        "semantic_actions": [
          "string"
        ],
        "stages": [
          {
            "id": "string",
            "label": "string",
            "outputs": [
              "string"
            ]
          }
        ]
      }
    ]
  },
  "operator_projection": {
    "connections": [
      {
        "adapter": "string",
        "capabilities": [
          "string"
        ],
        "display_name": "string",
        "health_checked": true,
        "id": "string",
        "identity_map": true,
        "kind": "string",
        "private_url": "string",
        "secret_ref": "string",
        "state": "string"
      }
    ],
    "schema_version": 0
  },
  "published_at": "2019-08-24T14:15:22Z",
  "published_by": "string",
  "release_id": "string",
  "rolled_back_from": "string",
  "runtime_projection": {
    "action_policies": [
      {
        "action_id": "string",
        "approval": "string",
        "draft_only": true,
        "manager_roles": [
          "string"
        ]
      }
    ],
    "actions": [
      {
        "default_approval": "string",
        "external_effect": true,
        "id": "string",
        "kind": "string",
        "label": "string"
      }
    ],
    "capabilities": [
      {
        "approval_policy": "string",
        "audience": [
          "string"
        ],
        "capability_id": "string",
        "connector_bindings": {
          "property1": "string",
          "property2": "string"
        },
        "enabled": true,
        "learning_mode": "string",
        "operating_mode": "string",
        "success_definition": "string"
      }
    ],
    "connections": [
      {
        "adapter": "string",
        "capabilities": [
          "string"
        ],
        "display_name": "string",
        "health_checked": true,
        "id": "string",
        "identity_map": true,
        "kind": "string",
        "private_url": "string",
        "secret_ref": "string",
        "state": "string"
      }
    ],
    "draft_only": true,
    "schema_version": 0,
    "solution_pack_id": "string",
    "workflow_ids": [
      "string"
    ]
  },
  "sequence": 0,
  "source_revision": 0,
  "tenant_id": "string"
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

Validate Studio publication readiness

POST
/studio/draft/validate

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Response Body

application/json

application/problem+json

curl -X POST "https://loading/api/v1/studio/draft/validate"
{
  "$schema": "/api/v1/schemas/ReadinessReport.json",
  "blockers": [
    {
      "code": "string",
      "message": "string",
      "route": "string"
    }
  ],
  "mode": "string",
  "ready": true,
  "warnings": [
    "string"
  ]
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

Read evidence-backed Sales Copilot impact

GET
/studio/impact

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Response Body

application/json

application/problem+json

curl -X GET "https://loading/api/v1/studio/impact"
{
  "$schema": "/api/v1/schemas/ImpactSummary.json",
  "assumptions": {
    "minutes_per_crm_update": 0.1,
    "minutes_per_follow_up": 0.1,
    "minutes_per_message": 0.1,
    "minutes_per_proposal": 0.1
  },
  "credits_remaining_usd": 0.1,
  "credits_used_usd": 0.1,
  "examples": [
    {
      "description": "string",
      "kind": "string",
      "receipt_id": "string"
    }
  ],
  "metrics": [
    {
      "estimation_method": "string",
      "id": "string",
      "label": "string",
      "source_event": "string",
      "source_events": 0,
      "status": "string",
      "unit": "string",
      "value": 0.1
    }
  ],
  "rollout_recommendation": "string",
  "window_end": "2019-08-24T14:15:22Z",
  "window_start": "2019-08-24T14:15:22Z"
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

Create a redacted, expiring impact report

POST
/studio/impact/share

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://loading/api/v1/studio/impact/share" \  -H "Content-Type: application/json" \  -d '{}'
{
  "$schema": "/api/v1/schemas/ImpactShareLink.json",
  "created_at": "2019-08-24T14:15:22Z",
  "expires_at": "2019-08-24T14:15:22Z",
  "revoked_at": "2019-08-24T14:15:22Z",
  "share_id": "string",
  "tenant_id": "string",
  "token": "string"
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
DELETE
/studio/impact/share/{shareId}

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Path Parameters

shareId*string

Response Body

application/json

application/problem+json

curl -X DELETE "https://loading/api/v1/studio/impact/share/string"
{
  "$schema": "/api/v1/schemas/StudioRevokeImpactShareOutputBody.json",
  "revoked": true
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

Read Sales Copilot Studio home

GET
/studio/overview

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Response Body

application/json

application/problem+json

curl -X GET "https://loading/api/v1/studio/overview"
{
  "$schema": "/api/v1/schemas/StudioOverview.json",
  "activation_step": "string",
  "active_release": {
    "is_active": true,
    "published_at": "2019-08-24T14:15:22Z",
    "published_by": "string",
    "release_id": "string",
    "rolled_back_from": "string",
    "sequence": 0,
    "solution_pack_id": "string",
    "source_revision": 0
  },
  "capability_readiness": [
    {
      "blockers": [
        {
          "code": "string",
          "message": "string",
          "route": "string"
        }
      ],
      "capability_id": "string",
      "connector_health": "string",
      "effective_mode": "string",
      "enabled": true,
      "evidence_observed": 0,
      "evidence_required": 0,
      "learning_maturity": "string",
      "ready": true,
      "requested_mode": "string",
      "status_sentence": "string"
    }
  ],
  "company_name": "string",
  "credit_balance_usd": 0.1,
  "credit_grant_applied": true,
  "credit_grant_usd": 0.1,
  "draft": {
    "$schema": "/api/v1/schemas/WorkspaceDraft.json",
    "document": {
      "action_policies": [
        {
          "action_id": "string",
          "approval": "string",
          "draft_only": true,
          "manager_roles": [
            "string"
          ]
        }
      ],
      "branding": {
        "accent_color": "string",
        "logo_url": "string",
        "primary_color": "string",
        "product_name": "string"
      },
      "capabilities": [
        {
          "approval_policy": "string",
          "audience": [
            "string"
          ],
          "capability_id": "string",
          "connector_bindings": {
            "property1": "string",
            "property2": "string"
          },
          "enabled": true,
          "learning_mode": "string",
          "operating_mode": "string",
          "success_definition": "string"
        }
      ],
      "connections": [
        {
          "adapter": "string",
          "capabilities": [
            "string"
          ],
          "display_name": "string",
          "health_checked": true,
          "id": "string",
          "identity_map": true,
          "kind": "string",
          "private_url": "string",
          "secret_ref": "string",
          "state": "string"
        }
      ],
      "draft_only": true,
      "knowledge_policy": {
        "reject_expired_sources": true,
        "require_approved_sources": true,
        "require_citations": true
      },
      "knowledge_sources": [
        {
          "citation_count": 0,
          "effective_date": "2019-08-24T14:15:22Z",
          "id": "string",
          "kind": "string",
          "name": "string",
          "owner": "string",
          "project_id": "string",
          "review_date": "2019-08-24T14:15:22Z",
          "revision": "string",
          "state": "string"
        }
      ],
      "setup_started": true,
      "solution_pack_id": "string",
      "workflow_ids": [
        "string"
      ]
    },
    "revision": 0,
    "tenant_id": "string",
    "updated_at": "2019-08-24T14:15:22Z",
    "updated_by": "string"
  },
  "impact": {
    "$schema": "/api/v1/schemas/ImpactSummary.json",
    "assumptions": {
      "minutes_per_crm_update": 0.1,
      "minutes_per_follow_up": 0.1,
      "minutes_per_message": 0.1,
      "minutes_per_proposal": 0.1
    },
    "credits_remaining_usd": 0.1,
    "credits_used_usd": 0.1,
    "examples": [
      {
        "description": "string",
        "kind": "string",
        "receipt_id": "string"
      }
    ],
    "metrics": [
      {
        "estimation_method": "string",
        "id": "string",
        "label": "string",
        "source_event": "string",
        "source_events": 0,
        "status": "string",
        "unit": "string",
        "value": 0.1
      }
    ],
    "rollout_recommendation": "string",
    "window_end": "2019-08-24T14:15:22Z",
    "window_start": "2019-08-24T14:15:22Z"
  },
  "last_preview": {
    "$schema": "/api/v1/schemas/WorkflowPreviewRun.json",
    "completed_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": "string",
    "credit_charge_usd": 0.1,
    "draft_revision": 0,
    "error_message": "string",
    "external_effects_disabled": true,
    "preview_id": "string",
    "result": {
      "approval_requirement": "string",
      "citations": [
        {
          "fact_id": "string",
          "page": 0,
          "revision": "string",
          "snippet": "string",
          "source_id": "string",
          "source_name": "string"
        }
      ],
      "customer_summary": "string",
      "draft_response": "string",
      "missing_qualification_information": [
        "string"
      ],
      "proposed_external_changes": [
        {
          "action_id": "string",
          "approval": "string",
          "execution_disabled": true,
          "label": "string"
        }
      ],
      "recommended_next_action": "string"
    },
    "scenario": {
      "customer_message": "string"
    },
    "status": "string",
    "tenant_id": "string",
    "workflow_id": "string"
  },
  "provisioning_status": "string",
  "provisioning_steps": [
    {
      "id": "string",
      "label": "string",
      "status": "string"
    }
  ],
  "readiness": {
    "$schema": "/api/v1/schemas/ReadinessReport.json",
    "blockers": [
      {
        "code": "string",
        "message": "string",
        "route": "string"
      }
    ],
    "mode": "string",
    "ready": true,
    "warnings": [
      "string"
    ]
  },
  "recommended_route": "string",
  "solution_pack_id": "string",
  "studio_v2_enabled": true,
  "tenant_id": "string",
  "workspace_url": "string"
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

Run an isolated, credit-consuming Sales Copilot preview

POST
/studio/preview

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Header Parameters

Idempotency-Key*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://loading/api/v1/studio/preview" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "customer_message": "string"  }'
{
  "$schema": "/api/v1/schemas/WorkflowPreviewRun.json",
  "completed_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "created_by": "string",
  "credit_charge_usd": 0.1,
  "draft_revision": 0,
  "error_message": "string",
  "external_effects_disabled": true,
  "preview_id": "string",
  "result": {
    "approval_requirement": "string",
    "citations": [
      {
        "fact_id": "string",
        "page": 0,
        "revision": "string",
        "snippet": "string",
        "source_id": "string",
        "source_name": "string"
      }
    ],
    "customer_summary": "string",
    "draft_response": "string",
    "missing_qualification_information": [
      "string"
    ],
    "proposed_external_changes": [
      {
        "action_id": "string",
        "approval": "string",
        "execution_disabled": true,
        "label": "string"
      }
    ],
    "recommended_next_action": "string"
  },
  "scenario": {
    "customer_message": "string"
  },
  "status": "string",
  "tenant_id": "string",
  "workflow_id": "string"
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

List immutable Sales Copilot releases

GET
/studio/releases

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Response Body

application/json

application/problem+json

curl -X GET "https://loading/api/v1/studio/releases"
{
  "$schema": "/api/v1/schemas/StudioReleasesOutputBody.json",
  "active_release_id": "string",
  "releases": [
    {
      "$schema": "/api/v1/schemas/PublishedRelease.json",
      "browser_projection": {
        "action_policies": [
          {
            "action_id": "string",
            "approval": "string",
            "draft_only": true,
            "manager_roles": [
              "string"
            ]
          }
        ],
        "branding": {
          "accent_color": "string",
          "logo_url": "string",
          "primary_color": "string",
          "product_name": "string"
        },
        "capabilities": [
          {
            "approval_policy": "string",
            "audience": [
              "string"
            ],
            "capability_id": "string",
            "connector_bindings": {
              "property1": "string",
              "property2": "string"
            },
            "enabled": true,
            "learning_mode": "string",
            "operating_mode": "string",
            "success_definition": "string"
          }
        ],
        "capability_definitions": [
          {
            "business_promise": "string",
            "default_learning_mode": "string",
            "default_operating_mode": "string",
            "dependencies": [
              "string"
            ],
            "evidence_gate": 0,
            "evidence_keys": [
              "string"
            ],
            "high_impact": true,
            "id": "string",
            "inputs": [
              "string"
            ],
            "label": "string",
            "learning_eligible": true,
            "outputs": [
              "string"
            ],
            "program_id": "string",
            "readiness_rules": [
              "string"
            ],
            "representative_visible": true,
            "required_connections": [
              "string"
            ],
            "safe_configuration": [
              {
                "description": "string",
                "key": "string",
                "label": "string",
                "options": [
                  "string"
                ],
                "required": true,
                "type": "string"
              }
            ],
            "version": "string"
          }
        ],
        "connections": [
          {
            "display_name": "string",
            "id": "string",
            "kind": "string",
            "state": "string"
          }
        ],
        "destinations": [
          {
            "id": "string",
            "includes": [
              "string"
            ],
            "label": "string",
            "manager_view": [
              "string"
            ]
          }
        ],
        "knowledge_policy": {
          "reject_expired_sources": true,
          "require_approved_sources": true,
          "require_citations": true
        },
        "programs": [
          {
            "capability_ids": [
              "string"
            ],
            "id": "string",
            "name": "string",
            "promise": "string",
            "stages": [
              "string"
            ]
          }
        ],
        "runtime_v2_enabled": true,
        "schema_version": 0,
        "solution_pack_id": "string",
        "solution_pack_version": "string",
        "workflows": [
          {
            "confirmation_policy": [
              {
                "action_id": "string",
                "approval": "string",
                "draft_only": true,
                "manager_roles": [
                  "string"
                ]
              }
            ],
            "fallback": "string",
            "goal": "string",
            "id": "string",
            "outcome_events": [
              "string"
            ],
            "preview_scenario": "string",
            "required_context": [
              "string"
            ],
            "semantic_actions": [
              "string"
            ],
            "stages": [
              {
                "id": "string",
                "label": "string",
                "outputs": [
                  "string"
                ]
              }
            ]
          }
        ]
      },
      "operator_projection": {
        "connections": [
          {
            "adapter": "string",
            "capabilities": [
              "string"
            ],
            "display_name": "string",
            "health_checked": true,
            "id": "string",
            "identity_map": true,
            "kind": "string",
            "private_url": "string",
            "secret_ref": "string",
            "state": "string"
          }
        ],
        "schema_version": 0
      },
      "published_at": "2019-08-24T14:15:22Z",
      "published_by": "string",
      "release_id": "string",
      "rolled_back_from": "string",
      "runtime_projection": {
        "action_policies": [
          {
            "action_id": "string",
            "approval": "string",
            "draft_only": true,
            "manager_roles": [
              "string"
            ]
          }
        ],
        "actions": [
          {
            "default_approval": "string",
            "external_effect": true,
            "id": "string",
            "kind": "string",
            "label": "string"
          }
        ],
        "capabilities": [
          {
            "approval_policy": "string",
            "audience": [
              "string"
            ],
            "capability_id": "string",
            "connector_bindings": {
              "property1": "string",
              "property2": "string"
            },
            "enabled": true,
            "learning_mode": "string",
            "operating_mode": "string",
            "success_definition": "string"
          }
        ],
        "connections": [
          {
            "adapter": "string",
            "capabilities": [
              "string"
            ],
            "display_name": "string",
            "health_checked": true,
            "id": "string",
            "identity_map": true,
            "kind": "string",
            "private_url": "string",
            "secret_ref": "string",
            "state": "string"
          }
        ],
        "draft_only": true,
        "schema_version": 0,
        "solution_pack_id": "string",
        "workflow_ids": [
          "string"
        ]
      },
      "sequence": 0,
      "source_revision": 0,
      "tenant_id": "string"
    }
  ]
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

Rollback by publishing a prior immutable snapshot

POST
/studio/releases/{releaseId}/rollback

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Path Parameters

releaseId*string

Header Parameters

Idempotency-Key*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://loading/api/v1/studio/releases/string/rollback" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "$schema": "/api/v1/schemas/PublishedRelease.json",
  "browser_projection": {
    "action_policies": [
      {
        "action_id": "string",
        "approval": "string",
        "draft_only": true,
        "manager_roles": [
          "string"
        ]
      }
    ],
    "branding": {
      "accent_color": "string",
      "logo_url": "string",
      "primary_color": "string",
      "product_name": "string"
    },
    "capabilities": [
      {
        "approval_policy": "string",
        "audience": [
          "string"
        ],
        "capability_id": "string",
        "connector_bindings": {
          "property1": "string",
          "property2": "string"
        },
        "enabled": true,
        "learning_mode": "string",
        "operating_mode": "string",
        "success_definition": "string"
      }
    ],
    "capability_definitions": [
      {
        "business_promise": "string",
        "default_learning_mode": "string",
        "default_operating_mode": "string",
        "dependencies": [
          "string"
        ],
        "evidence_gate": 0,
        "evidence_keys": [
          "string"
        ],
        "high_impact": true,
        "id": "string",
        "inputs": [
          "string"
        ],
        "label": "string",
        "learning_eligible": true,
        "outputs": [
          "string"
        ],
        "program_id": "string",
        "readiness_rules": [
          "string"
        ],
        "representative_visible": true,
        "required_connections": [
          "string"
        ],
        "safe_configuration": [
          {
            "description": "string",
            "key": "string",
            "label": "string",
            "options": [
              "string"
            ],
            "required": true,
            "type": "string"
          }
        ],
        "version": "string"
      }
    ],
    "connections": [
      {
        "display_name": "string",
        "id": "string",
        "kind": "string",
        "state": "string"
      }
    ],
    "destinations": [
      {
        "id": "string",
        "includes": [
          "string"
        ],
        "label": "string",
        "manager_view": [
          "string"
        ]
      }
    ],
    "knowledge_policy": {
      "reject_expired_sources": true,
      "require_approved_sources": true,
      "require_citations": true
    },
    "programs": [
      {
        "capability_ids": [
          "string"
        ],
        "id": "string",
        "name": "string",
        "promise": "string",
        "stages": [
          "string"
        ]
      }
    ],
    "runtime_v2_enabled": true,
    "schema_version": 0,
    "solution_pack_id": "string",
    "solution_pack_version": "string",
    "workflows": [
      {
        "confirmation_policy": [
          {
            "action_id": "string",
            "approval": "string",
            "draft_only": true,
            "manager_roles": [
              "string"
            ]
          }
        ],
        "fallback": "string",
        "goal": "string",
        "id": "string",
        "outcome_events": [
          "string"
        ],
        "preview_scenario": "string",
        "required_context": [
          "string"
        ],
        "semantic_actions": [
          "string"
        ],
        "stages": [
          {
            "id": "string",
            "label": "string",
            "outputs": [
              "string"
            ]
          }
        ]
      }
    ]
  },
  "operator_projection": {
    "connections": [
      {
        "adapter": "string",
        "capabilities": [
          "string"
        ],
        "display_name": "string",
        "health_checked": true,
        "id": "string",
        "identity_map": true,
        "kind": "string",
        "private_url": "string",
        "secret_ref": "string",
        "state": "string"
      }
    ],
    "schema_version": 0
  },
  "published_at": "2019-08-24T14:15:22Z",
  "published_by": "string",
  "release_id": "string",
  "rolled_back_from": "string",
  "runtime_projection": {
    "action_policies": [
      {
        "action_id": "string",
        "approval": "string",
        "draft_only": true,
        "manager_roles": [
          "string"
        ]
      }
    ],
    "actions": [
      {
        "default_approval": "string",
        "external_effect": true,
        "id": "string",
        "kind": "string",
        "label": "string"
      }
    ],
    "capabilities": [
      {
        "approval_policy": "string",
        "audience": [
          "string"
        ],
        "capability_id": "string",
        "connector_bindings": {
          "property1": "string",
          "property2": "string"
        },
        "enabled": true,
        "learning_mode": "string",
        "operating_mode": "string",
        "success_definition": "string"
      }
    ],
    "connections": [
      {
        "adapter": "string",
        "capabilities": [
          "string"
        ],
        "display_name": "string",
        "health_checked": true,
        "id": "string",
        "identity_map": true,
        "kind": "string",
        "private_url": "string",
        "secret_ref": "string",
        "state": "string"
      }
    ],
    "draft_only": true,
    "schema_version": 0,
    "solution_pack_id": "string",
    "workflow_ids": [
      "string"
    ]
  },
  "sequence": 0,
  "source_revision": 0,
  "tenant_id": "string"
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}

List Sales Copilot solution packs

GET
/studio/solution-packs

Authorization

bearerClerk
AuthorizationBearer <token>

Clerk session JWT from an authenticated dashboard user. Format: Bearer eyJ....

In: header

Response Body

application/json

application/problem+json

curl -X GET "https://loading/api/v1/studio/solution-packs"
{
  "$schema": "/api/v1/schemas/StudioSolutionPacksOutputBody.json",
  "packs": [
    {
      "activation_scenario": "string",
      "capability_definitions": [
        {
          "business_promise": "string",
          "default_learning_mode": "string",
          "default_operating_mode": "string",
          "dependencies": [
            "string"
          ],
          "evidence_gate": 0,
          "evidence_keys": [
            "string"
          ],
          "high_impact": true,
          "id": "string",
          "inputs": [
            "string"
          ],
          "label": "string",
          "learning_eligible": true,
          "outputs": [
            "string"
          ],
          "program_id": "string",
          "readiness_rules": [
            "string"
          ],
          "representative_visible": true,
          "required_connections": [
            "string"
          ],
          "safe_configuration": [
            {
              "description": "string",
              "key": "string",
              "label": "string",
              "options": [
                "string"
              ],
              "required": true,
              "type": "string"
            }
          ],
          "version": "string"
        }
      ],
      "default_actions": [
        {
          "default_approval": "string",
          "external_effect": true,
          "id": "string",
          "kind": "string",
          "label": "string"
        }
      ],
      "description": "string",
      "id": "string",
      "impact_metrics": [
        {
          "estimation_note": "string",
          "id": "string",
          "label": "string",
          "may_estimate": true,
          "source_event": "string"
        }
      ],
      "knowledge_policy": {
        "reject_expired_sources": true,
        "require_approved_sources": true,
        "require_citations": true
      },
      "name": "string",
      "outcomes": [
        {
          "event": "string",
          "label": "string",
          "verification": "string"
        }
      ],
      "programs": [
        {
          "capability_ids": [
            "string"
          ],
          "id": "string",
          "name": "string",
          "promise": "string",
          "stages": [
            "string"
          ]
        }
      ],
      "recommended_capabilities": [
        "string"
      ],
      "required_capabilities": [
        "string"
      ],
      "roles": [
        "string"
      ],
      "runtime_destinations": [
        {
          "id": "string",
          "includes": [
            "string"
          ],
          "label": "string",
          "manager_view": [
            "string"
          ]
        }
      ],
      "version": "string",
      "vocabulary": {
        "property1": "string",
        "property2": "string"
      },
      "workflows": [
        {
          "confirmation_policy": [
            {
              "action_id": "string",
              "approval": "string",
              "draft_only": true,
              "manager_roles": [
                "string"
              ]
            }
          ],
          "fallback": "string",
          "goal": "string",
          "id": "string",
          "outcome_events": [
            "string"
          ],
          "preview_scenario": "string",
          "required_context": [
            "string"
          ],
          "semantic_actions": [
            "string"
          ],
          "stages": [
            {
              "id": "string",
              "label": "string",
              "outputs": [
                "string"
              ]
            }
          ]
        }
      ]
    }
  ]
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}